Valstorm LogoDev

google Endpoints

All endpoints for the google API group. Great for feeding into an LLM context.

GET

/v1/google/auth/login

Login Google

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

POST

/v1/google/gmail/send

Send Gmail Route

Sends an email via Gmail for the current user.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/GmailSendRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/google/email/list

Get Email List Route

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

GET

/v1/google/email/{email_id}

Get Email Route

Parameters
email_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/google/email/history/{history_id}

Get Email History Route

Parameters
history_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/google/email/thread/{thread_id}

Get Email Thread Route

Parameters
thread_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/google/people/list

Get People List Route

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

GET

/v1/google/events/list

Get Event List Route

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

GET

/v1/google/events/{event_id}

Get Event Route

Parameters
event_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/google/calendar/list

Get Calendar List Route

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

GET

/v1/google/drive/files/list

Get Drive File List Route

Parameters
query
in: query
type: string
fields
in: query
type: string
all_fields
in: query
type: boolean
save
in: query
type: boolean
max_results
in: query
type: integer
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/google/drive/file/{file_id}

Get Drive File Route

Parameters
file_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/google/drive/file/content/{file_id}

Get Drive File Content Route

Parameters
file_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/google/drive/file/export/{file_id}

Export Drive File Route

Parameters
file_id*
in: path
type: string
mime_type*
in: query
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/google/drive/list

Get Drive List Route

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

GET

/v1/google/doc/{file_id}

Get Google Doc Route

Parameters
file_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/google/gmail/watch

Watch Gmail Route

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

POST

/v1/google/gmail/stop

Stop Gmail Route

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

POST

/v1/google/create/pubsub/subscription

Create Pubsub Subscription Route

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/PubSubSubscriptionRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/google/delete/pubsub/subscription

Delete Pubsub Subscription Route

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/PubSubSubscriptionRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/google/create/drive/subscription

Create Drive Root Subscription Route

Creates a Google Workspace Events API subscription for the user's My Drive root folder. Args: request (Request): The FastAPI request object. current_user (User): The user object for whom the subscription is being created. Returns: dict: Status message indicating success or failure of the subscription creation.


Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

POST

/v1/google/gmail/sync

Gmail Sync Route

Initiates a full Gmail sync for the current user. Args: current_user (User): The user object for whom the sync is being performed. Returns: dict: Status message indicating success or failure of the sync operation.


Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

POST

/v1/google/drive/sync

Drive Sync Route

Initiates a Google Drive sync for the current user. Args: current_user (User): The user object for whom the sync is being performed. Returns: dict: Status message indicating success or failure of the sync operation.


Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

POST

/v1/google/drive/watch/{file_id}

Watch Drive File Route

Parameters
file_id*
in: path
type: string
Request Body
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": true,
        "title": "Data"
      }
    }
  }
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/google/calendar/sync

Calendar Sync Route

Initiates a Google Calendar sync for the current user. Args: current_user (User): The user object for whom the sync is being performed. time_max (str): The maximum time for events to be synced. time_min (str): The minimum time for events to be synced. Returns: dict: Status message indicating success or failure of the sync operation.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/CalendarSyncRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/google/calendar/watch/{calendar_id}

Watch Calendar Route

Receives API calls to set up push notifications for Google Calendar changes.


Parameters
calendar_id*
in: path
type: string
Request Body
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": true,
        "title": "Data"
      }
    }
  }
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/google/auth/callback

Callback Google

Handles the callback from Google.


Parameters
code
in: query
type: string
state
in: query
type: string
error
in: query
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/google/pub-sub/{org_id}

Google Pub Sub

Summary: Google webhook for notifications. Parameters: - notification: The notification to send. - current_user: The current user. Returns: - A JSON response with the status of the notification.


Parameters
org_id*
in: path
type: string
Request Body
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": true,
        "title": "Notification"
      }
    }
  }
}
Responses
202
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/google/drive/pub-sub/{user_id}/{org_id}/{file_id}

Google Drive Pub Sub

Summary: Google Drive webhook for notifications. Parameters: - org_id: The organization ID. - file_id: The file ID. Returns: - A JSON response with the status of the notification.


Parameters
user_id*
in: path
type: string
org_id*
in: path
type: string
file_id*
in: path
type: string
Responses
202
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/google/calendar/pub-sub/{user_id}/{org_id}/{calendar_id}

Google Calendar Pub Sub

Summary: Google Calendar webhook for push notifications. Parameters: - user_id: The ID of the user whose calendar is being watched. - org_id: The organization ID. - calendar_id: The ID of the calendar. Returns: - A 202 Accepted response.


Parameters
user_id*
in: path
type: string
org_id*
in: path
type: string
calendar_id*
in: path
type: string
Responses
202
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner